%define dirver %(echo %version | cut -d_ -f1)
%define pkgver %(echo %version | tr _ -)
%define majver %(echo %version | cut -d. -f1-2)
Name:          gputils
Version:       1.5.2
Release:       1mamba
Summary:       A collection of tools for the Microchip (TM) PIC microcontrollers
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gputils.sourceforge.io/
Source:        https://sourceforge.net/projects/gputils/files/gputils/%{majver}.0/gputils-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
GPUTILS is a collection of tools for the Microchip (TM) PIC microcontrollers. It includes gpasm, gplink, and gplib. It's distributed under the terms of the GNU Public License. There are other GNU PIC tools available such as gpsim, a gputils compatible simulator.

%debug_package

%prep
%setup -q -n %{name}-%{dirver}

%build
%configure
%make AM_LDFLAGS="-Wl,-warn-common"

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_docdir}/gputils-%{dirver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gpasm
%{_bindir}/gpdasm
%{_bindir}/gplib
%{_bindir}/gplink
%{_bindir}/gpstrip
%{_bindir}/gpvc
%{_bindir}/gpvo
%dir %{_datadir}/gputils
%dir %{_datadir}/gputils/lkr
%{_datadir}/gputils/lkr/*.lkr
%dir %{_datadir}/gputils/header
%{_datadir}/gputils/header/*.inc
%lang(fr) %{_mandir}/fr/man1/gp*.1*
%{_mandir}/man1/gp*.1*
%doc AUTHORS COPYING

%changelog
* Tue Jun 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.2-1mamba
- update to 1.5.2

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0_1-1mamba
- update to 1.5.0_1

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Sun Jan 03 2016 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Thu Nov 06 2014 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Jan 13 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.14.3-1mamba
- package created by silvan using the webbuild interface
